CXF
  1. CXF
  2. CXF-4530

Checkstyle 5.6 no longer supports the DoubleCheckedLocking

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.6.2, 2.7.0
    • Fix Version/s: 2.7.1
    • Component/s: Build system
    • Labels:
      None
    • Environment:

      maven 3
      eclipse 4.2.1 /3.7.2 with checkstyle 5.6

    • Estimated Complexity:
      Unknown

      Description

      Checkstyle 5.6 no longer supports the DoubleCheckedLocking

      http://checkstyle.2069334.n4.nabble.com/checkstyle-Bugs-3571442-Regression-in-Eclipse-plugin-5-6-td4654136.html

      http://sourceforge.net/tracker/?func=detail&atid=397078&aid=3571442&group_id=29721

      So latest version of the checkstyle plugin throws an on import of maven projects with m2eclipse.

      The quickest solution is to remove the DoubleCheckedLocking from

      http://svn.apache.org/repos/asf/cxf/build-utils/trunk/buildtools/src/main/resources/cxf-checkstyle.xml

        Activity

        Hide
        Daniel Kulp added a comment -


        New buildutils now being voted on that we'll pick up. Should work perfect with the new Checkstyle eclipse plugin.

        Show
        Daniel Kulp added a comment - New buildutils now being voted on that we'll pick up. Should work perfect with the new Checkstyle eclipse plugin.
        Hide
        Jason Pell added a comment -

        Workaround is to install the old version of the update site can be used

        http://sourceforge.net/projects/eclipse-cs/files/updatesite/5.5.0/

        Show
        Jason Pell added a comment - Workaround is to install the old version of the update site can be used http://sourceforge.net/projects/eclipse-cs/files/updatesite/5.5.0/
        Hide
        Jason Pell added a comment -

        So the cxf build tools is at 2.4.2-SNAPSHOT, so perhaps this fix could be released against 2.4.2 of the tools and 2.7.1-SNAPSHOT could be updated to depend on 2.4.2-SNAPSHOT?

        Show
        Jason Pell added a comment - So the cxf build tools is at 2.4.2-SNAPSHOT, so perhaps this fix could be released against 2.4.2 of the tools and 2.7.1-SNAPSHOT could be updated to depend on 2.4.2-SNAPSHOT?
        Hide
        Jason Pell added a comment - - edited

        see attachment for error text from eclipse. This does go away if I downgrade to checkstyle 5.5, but its not the default plugin available from the eclipse update site.

        Show
        Jason Pell added a comment - - edited see attachment for error text from eclipse. This does go away if I downgrade to checkstyle 5.5, but its not the default plugin available from the eclipse update site.

          People

          • Assignee:
            Daniel Kulp
            Reporter:
            Jason Pell
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development